Subject: bug#23614: closed (Re: bug#23614: 25.1.50; tramp-test24-file-name-completion fails on Cygwin)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 May 2016 18:58:02 +0000

Your bug report

#23614: 25.1.50; tramp-test24-file-name-completion fails on Cygwin

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23614: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23614
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23614: 25.1.50; tramp-test24-file-name-completion fails on Cygwin
From: Ken Brown <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 May 2016 14:57:49 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 5/26/2016 2:02 PM, Michael Albinus wrote:
> Thanks. Finally, I could reproduce it on a Windows machine. The tests
> I've added in April are not applicable on MS Windows, so I've simply
> suppressed them for this case.

Thanks, Michael.  The tramp tests are now fine on Cygwin.  Closing.

Best regards,

Ken

Subject: 25.1.50; tramp-test24-file-name-completion fails on Cygwin
From: Ken Brown <[email-masked]>
To: [email-masked]
Date: Tue, 24 May 2016 16:59:49 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Michael,

$ make -C test tramp-tests
make: Entering directory '/home/kbrown/src/emacs/64build/test'
[...]
Test tramp-test24-file-name-completion condition:
     (ert-test-failed
      ((should
        (member
         (format "%s:" method)
         (file-name-all-completions ... "/")))
       :form
       (member "mock:" nil)
       :value nil))
    FAILED  25/42  tramp-test24-file-name-completion

What can I do to help debug this?

Ken

In GNU Emacs 25.1.50.26 (x86_64-unknown-cygwin, GTK+ Version 3.18.9)
  of 2016-05-24 built on moufang
Repository revision: 1ee91bf89176251f6e399c8436dca0248cdd6f6b

Configured using:
  'configure 'CFLAGS=-O0 -ggdb''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11